-- $Id: network.lua,v 1.1 2005/01/26 04:33:25 cpressey Exp $

require "network"

Kernel.add_conf_path("./scripts/demo/conf")	-- XXX BAD HACK
App.start()

netif = NetworkInterface.all()

for name, ni in netif do
	print(name .. ":")
	print("", "up = ", tostring(ni:is_up()))
	print("", "inet = ", tostring(ni:get_inet_addr()))
end

App.stop()
